FreeMat

- Main Page
- Related Pages

vtkLookupTableWithEnabling

Section: Visualization Toolkit Common Classes

# Usage

vtkLookupTableWithEnabling "disables" or "grays out" output colors based on whether the given value in EnabledArray is "0" or not.

To create an instance of class vtkLookupTableWithEnabling, simply invoke its constructor as follows

      obj = vtkLookupTableWithEnabling

# Methods

The class vtkLookupTableWithEnabling has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkLookupTableWithEnabling class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkLookupTableWithEnabling = obj.NewInstance ()`
- `vtkLookupTableWithEnabling = obj.SafeDownCast (vtkObject o)`
- `vtkDataArray = obj.GetEnabledArray ()` - This must be set before MapScalars() is called. Indices of this array must map directly to those in the scalars array passed to MapScalars(). Values of 0 in the array indicate the color should be desaturatated.
- `obj.SetEnabledArray (vtkDataArray enabledArray)` - This must be set before MapScalars() is called. Indices of this array must map directly to those in the scalars array passed to MapScalars(). Values of 0 in the array indicate the color should be desaturatated.
- `obj.DisableColor (char r, char g, char b, string rd, string gd, string bd)` - A convenience method for taking a color and desaturating it.